package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.auto.common.MultiSetMap;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Integer;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.util.Arrays;
import java.io.IOException;
import java.math.BigInteger;

public class DERInteger extends ASN1Object {
  byte[] enum;
  
  public DERInteger(BigInteger bigInteger) {
    this.enum = bigInteger.toByteArray();
  }
  
  public int hashCode() {
    // Byte code:
    //   0: iconst_0
    //   1: istore_1
    //   2: iconst_0
    //   3: dup
    //   4: istore_2
    //   5: aload_0
    //   6: getfield enum : [B
    //   9: arraylength
    //   10: if_icmpeq -> 38
    //   13: iload_1
    //   14: aload_0
    //   15: getfield enum : [B
    //   18: iload_2
    //   19: baload
    //   20: sipush #255
    //   23: iand
    //   24: iload_2
    //   25: iconst_4
    //   26: irem
    //   27: iinc #2, 1
    //   30: ishl
    //   31: ixor
    //   32: istore_1
    //   33: iload_2
    //   34: goto -> 5
    //   37: pop
    //   38: iload_1
    //   39: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	40	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger;
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger getInstance(ASN1TaggedObject a, int i) {
    DERObject dERObject = a.getObject();
    if (i != 0 || dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger)
      return getInstance(dERObject); 
    while (true)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger)new ASN1Integer(ASN1OctetString.getInstance(a.getObject()).getOctets()); 
  }
  
  public DERInteger(byte[] arrayOfByte) {
    this.enum = arrayOfByte;
  }
  
  public String toString() {
    return getValue().toString();
  }
  
  public BigInteger getPositiveValue() {
    return new BigInteger(1, this.enum);
  }
  
  public DERInteger(int i) {
    this.enum = BigInteger.valueOf(i).toByteArray();
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger)a; 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, MultiSetMap.const(";o/d&b/4;c+f frF\001(/p![<t3i&f 9c")).append(a.getClass().getName()).toString()); 
  }
  
  public BigInteger getValue() {
    return new BigInteger(this.enum);
  }
  
  void encode(DEROutputStream dEROutputStream) throws IOException {
    dEROutputStream.double(2, this.enum);
  }
  
  boolean asn1Equals(DERObject dERObject) {
    if (!(dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger))
      return false; 
    while (true) {
      com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger dERInteger = (com.jxdinfo.hussar.core.bouncycastle.asn1.DERInteger)dERObject;
      return Arrays.areEqual(this.enum, dERInteger.enum);
    } 
  }
}
